<?php
session_start ();
?>
<html>
<head>
<title>Установка GlobalChat</title>
</head>
<style>
a:link, a:active, a:visited
{
color: #507821;
text-decoration: none;
border-bottom: 1px #a2c873 dotted;
}
</style>
<body>
<?php
/* Вывод иконки	 */
function icon ($icon, $link = null)
{
if ($link == null)
	return '<img src="../icons/'.$icon.'.png" alt="'.$icon.'" />';
	else
	return '<a href="'.$link.'"><img src="../icons/'.$icon.'.png" alt="'.$icon.'" /></a>';
}
	
function permissions($filez){
return decoct(@fileperms($filez)) % 1000;
}
function chmodTest ($df, $chmod, $dirName)
{
global $error;
@list($f_chmod1,$f_chmod2,$f_chmod3)=str_split(permissions($df));
@list($n_chmod1,$n_chmod2,$n_chmod3)=str_split($chmod);
if ($f_chmod1<$n_chmod1 || $f_chmod2<$n_chmod2 || $f_chmod3<$n_chmod3)
	{
	echo icon ('false')." Поставьте права $n_chmod1$n_chmod2$n_chmod3 на папку /папка_чата/$dirName (текущие права: $f_chmod1$f_chmod2$f_chmod3)<br />";
	if ($_SERVER["SERVER_ADDR"] != '127.0.0.1')
	$error = 1;
	}
	else
	{
	echo icon ('true')." Права $n_chmod1$n_chmod2$n_chmod3 на папку /папка_чата/$dirName успешно установлены<br />";
	}
}
	
if (isset ($_GET['unset_cms']))
{
@chmod ('../dat/cms.dat', 0777);
unlink ('../dat/cms.dat') OR print ('Невозможно удалить файл /папка_чата/dat/cms.dat . Сделайте это вручную, если хотите сменить выбранную CMS'); 
}

$ps = &$_SESSION;
if (isset ($_GET['step']))
$ps['step'] = (int) $_GET['step'];
if (!isset ($ps['step']))
$ps['step'] = 1;
$previous = $ps['step'] - 1;
$next = $ps['step'] + 1;
if (isset ($_GET['next']))
$ps['step']++;

if ($ps['step'] == 1)
{
echo icon ('install')." Установка GlobalChat<br />";
echo "GlobalChat - это уникальный скрипт мобильного чата для сайтов. Его главной особенностью является централизированная система данных. Идея этого скрипта, обьеденять пользователей со всех сайтов в одном чате, при этом юзеры остаются на своих сайтах<br />";
}
elseif ($ps['step'] == 2)
{
echo icon ('install')." Установка прав папок (chmod)<br />";
chmodTest ('../dat/', 777, 'dat/');
chmodTest ('../cache/', 777, 'cache/');
}
elseif ($ps['step'] == 3)
{
if (!empty ($_GET['cms']))
	{
	$file = @fopen ('../dat/cms.dat', 'w+');
	@fwrite ($file, strip_tags ($_GET['cms']));
	@fclose($file);
	if (!$file)
		{
		echo 'Системная папка недоступна к записи. Проверьте права<br />';
		$error = 1;
		}
	}
if (($myCMS = @file_get_contents ('../dat/cms.dat')))
	{
	echo icon ('install')." Вы выбрали ".str_replace ('_', ' ', $myCMS)."<br />
	".icon ('edit')." <a href='?unset_cms'>Изменить выбранную CMS</a><br />";
	}
	else
	{
	$error = 1;
	if (empty ($_GET['cms_versions']))
		{
		/* Список доступных платформ */
		echo icon ('install')." <b>Выберите Вашу CMS</b>:<br />
".icon ('johncms')." <a href='?cms_versions=JohnCMS'>JohnCMS</a><br />
".icon ('rotorcms')." <a href='?cms_versions=RotorCMS'>RotorCMS</a><br />
".icon ('dcms')." <a href='?cms_versions=DCMS'>DCMS</a><br />";
		}
		else
		{
		echo icon ('install')." <b>Выберите версию $_GET[cms_versions]</b>:<br />";
		if ($_GET['cms_versions'] == 'DCMS')
			{
			/* Список платформ DCMS */
			echo "<li><a href='?cms=dcms_6'>DCMS 6.6.4</a></li>
	<li><a href='?cms=dcms_6'>DCMS 6.7.6</a></li>
	<li><a href='?cms=dcms_6'>DCMS 6.7.7</a></li>
	<li><a href='?cms=dcms_7'>DCMS 7</a></li>";
			}
			elseif ($_GET['cms_versions'] == 'JohnCMS')
			{
			/* Список платформ JohnCMS */
			echo "<li><a href='?cms=johncms_4'>JohnCMS 3.2.2</a></li>
	<li><a href='?cms=johncms_4'>JohnCMS 4.4</a></li>
	<li><a href='?cms=johncms_4'>JohnCMS 4.5</a></li>";
			}
			elseif ($_GET['cms_versions'] == 'RotorCMS')
			{
			echo "<li><a href='?cms=rotor_3'>RotorCMS 3.0</a></li>
			<li><a href='?cms=rotor_3'>RotorCMS 3.3</a></li>";
			}
		echo "<a href='?'>&laquo; Вернуться к списку CMS</a><br />";
		}
	}
}
elseif ($ps['step'] == 4)
{
echo icon ('succes')." Установка завершена<br />
".icon ('attention')." Обязательно удалите папку /папка_чата/install/, иначе система GlobalChat будет подвержена нарушению работы недобросовестными людьми<br />
".icon ('door_in')." <a href='../index.php'>Войти в GlobalChat</a><br />";
$ps['step'] = 1;
$exit = 1;
}

if (!isset ($exit))
{
if ($ps['step'] > 1)
	echo icon ('previous', "?step=$previous");
echo ' <b>'.$ps['step'].' шаг</b> ';
if (!isset ($error))
	echo icon ('next', "?step=$next");

echo '<br />'.icon ('door_out').' <a href="/">На главную</a> / <a href="http://globalscripts.ru">&copy; PiloT</a>';
}
?>
</body>
</html>
